/* Projects Page */

#projects-container a {
    width: 100%;
    min-width: 250px;
    max-width: 275px;
}

.project-subheader {
    margin: 0;
    padding: 0;
}

.project-photo {
    transition: all 0.25s ease-in-out;
    box-sizing: border-box;
    display: block;
}

#projects-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    margin: 0 50px 75px 50px;
    align-items: end;
}

#projects-header {
    font-size: 1.5rem;
    margin: 2rem auto;
}

figure.project {
    /* To correctly align image, regardless of content height: */
    vertical-align: top;
    display: inline-block;
    /* To horizontally center images and caption */
    text-align: center;
    padding: 15px;
    transition: all 0.25s ease-in-out;
    border-radius: 4px;
    margin: 0;
    padding: 0;
}

.project-wrapper {
    position: relative;
    box-shadow: 0px 6px 12px 0px var(--container-shadow);
    margin: auto;
    background-color: var(--container-fore);
    border-radius: 4px;
    overflow: hidden;
    height: 200px;
}

.project-header {
    /* Make the caption a block so it occupies its own line. */
    display: block;
    padding: 0.5rem;
}

.project-header h3 {
    font-size: 1.5rem;
    margin: 0;
}

.project-description {
    padding: 10px;
}

.project-description {
    position: absolute;
    height: 100%;
    width: 100%;
    min-height: 200px;
    min-width: 200px;
    left: 0;
    top: 0;
    background: var(--container-fore);
    color: var(--text-primary);
    visibility: hidden;
    opacity: 0;
    margin: 0;
    transition:
        opacity 0.2s,
        visibility 0.2s;
    align-items: center;
    display: flex;
    justify-content: center;
    padding: 0.5rem;
    box-sizing: border-box;
    border-radius: 4px;
}

.project:hover .project-description,
.project:active .project-description {
    visibility: visible;
    opacity: 0.9;
}

.project:hover .project-photo,
.project:active .project-photo {
    filter: blur(2px);
}
